/* This include file defines some compiler and memory model dependent macros
*/

#ifndef _COMPILER_
#define _COMPILER_

#include <conio.h>

#ifdef _MSC_VER

   #define IN(p)    		inp(p)
   #define OUT(p,v) 		outp(p,v)
   #define SETVECT  		_dos_setvect
   #define GETVECT  		_dos_getvect

	#define DISABLE()		_disable()
	#define ENABLE()		_enable()

#elif defined __TURBOC__

   #define IN(p)    		inportb(p)
   #define OUT(p,v) 		outportb(p,v)
   #define SETVECT  		setvect
   #define GETVECT  		getvect

	#define DISABLE()		disable()
	#define ENABLE()		enable()

#else
   #error Error: Unsupported compiler
#endif

#include <dos.h>

#ifndef MK_FP
   #define MK_FP(seg, ofs)  (void far *) (((long) seg << 16) + ofs)
#endif
#ifndef FP_SEG
   #define FP_SEG(fp) ((unsigned) (((long) (fp)) >> 16))
#endif
#ifndef FP_OFF
   #define FP_OFF(fp)  ((unsigned) fp)
#endif

#define IntFunc(Name) void far interrupt Name(Regs R)

#if defined(__cplusplus) && defined(__TURBOC__)
   typedef void interrupt (far * ISRPtr)(...);
#else
   typedef void (interrupt far * ISRPtr)();
#endif

typedef void (interrupt far * IRQHandler)(void);

#endif	// _COMPILER_
