#include <stdio.h>
#include <stdlib.h>

#include "queue.h"
#include "serialio.h"

#define MAX_ERR	0x7FFF

typedef struct
{
	int errno;
	char *msg;
} msg_t;

static msg_t Messages[] =
{
	{ 0, 						"No error" },
	{ SIO_ALR_HOOKED, 	"Interrupt service routine is already hooked" },
	{ SIO_INVAL_INT,		"Invalid interrupt number specified" },
	{ SIO_ALR_UNHOOKED,	"Interrupt service routine is already unhooked" },
	{ SIO_INVAL_PORTNO,	"Invalid port number or number of ports specified" },
	{ SIO_INVAL_DB_NO, 	"Invalid Digiboard number specified" },
	{ SIO_PORT_USE,		"Port already in use" },
	{ SIO_INVAL_ADDR,		"Invalid port address specified" },
	{ SIO_PORT_NOPEN,		"Port not open" },
	{ SIO_DIGI_NOPEN,		"Digiboard not open" },
	{ SIO_NOT_STD_COM,	"Invalid function call: Port belongs to a Digiboard" },
	{ SIO_PORT_NOT_INIT,	"Port not initialized" },
	{ SIO_DIGI_ALR_OPEN,	"Digiboard is already open" },
	{ SIO_NO_PORT, 		"Serial port does not exist" },
	{ QERR_ILL_SIZE,		"Invalid queue size specified" },
	{ QERR_NO_MEM,			"No more memory for queue" },
	{ QERR_ALR_INIT,		"Queue is already initialized" },
	{ QERR_DEINIT,			"Error on de-initializing queue" },
	{ MAX_ERR, 				"Unknown error message number " }
};

char *msg_ShowMsg(int errno)
{
	msg_t *p;
	int i, m;
	static char scratch[100];

	if (errno == 0)
		return Messages[0].msg;

	for (p = &Messages[1], m = sizeof(Messages) / sizeof(Messages[0]), i = 0;
		i < m; i++, p++)
	{
		if (p->errno == errno)
			return p->msg;
	}

	sprintf(scratch, "%s%d", p->msg, errno);
	return scratch;
}
