ORIGIN = PWB
ORIGIN_VER = 2.1.49
PROJ = SERIALIO
PROJFILE = SERIALIO.MAK
DEBUG = 0

BSCMAKE	= bscmake
SBRPACK	= sbrpack
NMAKEBSC1  = set
NMAKEBSC2  = nmake
CC  = cl
CFLAGS_G  = /W3 /BATCH
CFLAGS_D  = /f /Od /Zi
CFLAGS_R  = /f- /Ot /Ol /Og /Oe /Oi /Gs
CXX  = cl
CXXFLAGS_G	= /W2 /BATCH
CXXFLAGS_D	= /f /Zi /Od
CXXFLAGS_R	= /f- /Ot /Oi /Ol /Oe /Og /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /NOI /STACK:10000 /BATCH /ONERROR:NOEXE
LFLAGS_D  = /CO /FAR /PACKC
LFLAGS_R  = /EXE /FAR /PACKC
LINKER  = link
ILINK  = ilink
LRF  = echo > NUL
ILFLAGS	= /a /e

FILES  = MAIN.C MESSAGES.C QUEUE.C SERIALIO.C INIFILE.C
OBJS	= MAIN.obj MESSAGES.obj QUEUE.obj SERIALIO.obj INIFILE.obj
SBRS	= MAIN.sbr MESSAGES.sbr QUEUE.sbr SERIALIO.sbr INIFILE.sbr

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES:
.SUFFIXES: .obj .sbr .c

MAIN.obj : MAIN.C serialio.h messages.h inifile.h compiler.h global.h ports.h\
		  queue.h
!IF $(DEBUG)
		  @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /FoMAIN.obj MAIN.C
<<
!ELSE
		  @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoMAIN.obj MAIN.C
<<
!ENDIF

MAIN.sbr : MAIN.C serialio.h messages.h inifile.h compiler.h global.h ports.h\
		  queue.h
!IF $(DEBUG)
		  @$(CC) @<<$(PROJ).rsp
/Zs $(CFLAGS_G)
$(CFLAGS_D) /FRMAIN.sbr MAIN.C
<<
!ELSE
		  @$(CC) @<<$(PROJ).rsp
/Zs $(CFLAGS_G)
$(CFLAGS_R) /FRMAIN.sbr MAIN.C
<<
!ENDIF

MESSAGES.obj : MESSAGES.C queue.h serialio.h global.h compiler.h ports.h
!IF $(DEBUG)
		  @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /FoMESSAGES.obj MESSAGES.C
<<
!ELSE
		  @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoMESSAGES.obj MESSAGES.C
<<
!ENDIF

MESSAGES.sbr : MESSAGES.C queue.h serialio.h global.h compiler.h ports.h
!IF $(DEBUG)
		  @$(CC) @<<$(PROJ).rsp
/Zs $(CFLAGS_G)
$(CFLAGS_D) /FRMESSAGES.sbr MESSAGES.C
<<
!ELSE
		  @$(CC) @<<$(PROJ).rsp
/Zs $(CFLAGS_G)
$(CFLAGS_R) /FRMESSAGES.sbr MESSAGES.C
<<
!ENDIF

QUEUE.obj : QUEUE.C queue.h global.h compiler.h
!IF $(DEBUG)
		  @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /FoQUEUE.obj QUEUE.C
<<
!ELSE
		  @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoQUEUE.obj QUEUE.C
<<
!ENDIF

QUEUE.sbr : QUEUE.C queue.h global.h compiler.h
!IF $(DEBUG)
		  @$(CC) @<<$(PROJ).rsp
/Zs $(CFLAGS_G)
$(CFLAGS_D) /FRQUEUE.sbr QUEUE.C
<<
!ELSE
		  @$(CC) @<<$(PROJ).rsp
/Zs $(CFLAGS_G)
$(CFLAGS_R) /FRQUEUE.sbr QUEUE.C
<<
!ENDIF

SERIALIO.obj : SERIALIO.C global.h ports.h serialio.h compiler.h queue.h
!IF $(DEBUG)
		  @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /FoSERIALIO.obj SERIALIO.C
<<
!ELSE
		  @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoSERIALIO.obj SERIALIO.C
<<
!ENDIF

SERIALIO.sbr : SERIALIO.C global.h ports.h serialio.h compiler.h queue.h
!IF $(DEBUG)
		  @$(CC) @<<$(PROJ).rsp
/Zs $(CFLAGS_G)
$(CFLAGS_D) /FRSERIALIO.sbr SERIALIO.C
<<
!ELSE
		  @$(CC) @<<$(PROJ).rsp
/Zs $(CFLAGS_G)
$(CFLAGS_R) /FRSERIALIO.sbr SERIALIO.C
<<
!ENDIF

INIFILE.obj : INIFILE.C global.h inifile.h compiler.h
!IF $(DEBUG)
		  @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /FoINIFILE.obj INIFILE.C
<<
!ELSE
		  @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /FoINIFILE.obj INIFILE.C
<<
!ENDIF

INIFILE.sbr : INIFILE.C global.h inifile.h compiler.h
!IF $(DEBUG)
		  @$(CC) @<<$(PROJ).rsp
/Zs $(CFLAGS_G)
$(CFLAGS_D) /FRINIFILE.sbr INIFILE.C
<<
!ELSE
		  @$(CC) @<<$(PROJ).rsp
/Zs $(CFLAGS_G)
$(CFLAGS_R) /FRINIFILE.sbr INIFILE.C
<<
!ENDIF


$(PROJ).bsc : $(SBRS)
		  $(BSCMAKE) @<<
$(BRFLAGS) $(SBRS)
<<

$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
		  $(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
		  $(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
		  $(LINKER) @$(PROJ).lrf


.c.obj :
!IF $(DEBUG)
		  @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_D) /Fo$@ $<
<<
!ELSE
		  @$(CC) @<<$(PROJ).rsp
/c $(CFLAGS_G)
$(CFLAGS_R) /Fo$@ $<
<<
!ENDIF

.c.sbr :
!IF $(DEBUG)
		  @$(CC) @<<$(PROJ).rsp
/Zs $(CFLAGS_G)
$(CFLAGS_D) /FR$@ $<
<<
!ELSE
		  @$(CC) @<<$(PROJ).rsp
/Zs $(CFLAGS_G)
$(CFLAGS_R) /FR$@ $<
<<
!ENDIF


run: $(PROJ).exe
		  $(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
		  CV $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
